<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** Version 20220314 ***************************/
############################################################################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
if (isset($_REQUEST['sector'])) $sector =($_REQUEST['sector']);
$standAlone	= false;			// false if we run in the template environment
$displayWide = true; // Display the wide GIF's?
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="GOES17 Satellite Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('GOES17 Satellite Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'GOES17 Satellite Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
		$divWidth = 660;
		$satBand = 'GEOCOLOR'; // Default sector type is set here
		if (!isset($sector))$sector = 'wus'; // IMPORTAMT!!! Default sector location is set here
		/* USE ONE of THESE for $sector!
		"CONUS" is the Pacific West
		"wus" is US West Coast
		"ak" is Alaska
		"tpw" is the Tropical Pacific
		"hi" is Hawaii
		"pnw" is the Pacific Northwest
		"psw" is the Pacific Southwest */
		######################## New in Version 20180114 #######################
		$doDebug = false; // Output debug information?
		$imageWidth = ($standAlone?1200:600); // Default image width
		######################## New in Version 20180214 #######################
		$addTime = true; // Add GMT time to images' animation
		$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
/*********************** End Settings ***************************/
		$satBand = (($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3')?($satBand<10?('0'.intval($satBand)):$satBand):$satBand);    

	$wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);

	$sectorTypes = array('standard','CONUS','wus','tpw'); // Pointers to the various possible image dimensions
	if ($sector=='CONUS') $ourSectorType = $sectorTypes[1];
	else if ($sector=='wus'||$sector=='ak') $ourSectorType = $sectorTypes[2];
	else if ($sector=='tpw') $ourSectorType = $sectorTypes[3];
	else $ourSectorType = $sectorTypes[0];

	$sectorDimensions = array('width','height');
	$satBandSectors = array( // Array of arrays of possible image dimensions
		'standard'=>array( // The US Regional Image Dimensions
			'width'=>600,
			'height'=>600),
		'CONUS'=>array( // The Pacific US Image Dimensions
			'width'=>625,
			'height'=>375),
		'wus'=>array( // Guam, Western US, Eastern Pacific, Central America, Mexico
			'width'=>1000,
			'height'=>1000),
		'tpw'=>array( // The Tropical Pacific Dimensions
			'width'=>900,
			'height'=>540)
		);
	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			echo '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		echo '$ourSectorType: '.$ourSectorType.'<br/>';
//		exit;
	}
	/* End Debug Code */
	$imageWidth = $satBandSectors[$ourSectorType]['width'];
	$imageHeight = $satBandSectors[$ourSectorType]['height'];
/* Debug Code *
	if ($doDebug) {
		echo '$satBand: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		echo '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.'<br/>';
		exit;
	}
/* End Debug Code */	
		if ($standAlone) $bgndColor = 'white';
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showSatellite(standAlone,displayWide,sector,satBand,divWidth,imageWidth,imageHeight,doDebug,wideScreen,addTime,useUTC) { 
		$jq('#selectors').load('inc-wxGOES17-GIFLoops.php', {standAlone:standAlone,displayWide:displayWide,sector:sector,satBand:satBand,divWidth:divWidth,imageWidth:imageWidth,imageHeight:imageHeight,doDebug:doDebug,wideScreen:wideScreen,addTime:addTime,useUTC:useUTC});
	}
}
</script>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth.'px') ?>">
<?php } else { ?>
	<div id="main-copy" style="width:100%; padding:0px">
<?php }	?>
  <div align="center">
  <h2 align="center"><br/><span style="font-size:24px">GOES17 Animated GIF Satellite Loops</span></h2>
    <?php include('inc-wxGOES17-GIFLoops.php');?>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
